package com.zhongzheng.modules.exam.service;

import com.zhongzheng.modules.exam.bo.*;
import com.zhongzheng.modules.exam.domain.ExamBefore;
import com.zhongzheng.modules.exam.vo.ExamBeforeVo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.exam.vo.ExamNumberGoodsVo;

import java.util.Collection;
import java.util.List;

/**
 * 前培安排Service接口
 *
 * @author ruoyi
 * @date 2021-12-07
 */
public interface IExamBeforeService extends IService<ExamBefore> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamBeforeVo queryById(Long beforeId);

	/**
	 * 查询列表
	 */
	List<ExamBeforeVo> queryList(ExamBeforeQueryBo bo);

	/**
	 * 根据新增业务对象插入前培安排
	 * @param bo 前培安排新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamBeforeAddBo bo);

	/**
	 * 根据编辑业务对象修改前培安排
	 * @param bo 前培安排编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamBeforeEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ExamNumberGoodsVo> listGoods(ExamNumberGoodsQueryBo bo);

    ExamBeforeVo getGoodsInfo(ExamBeforeQueryBo bo);

	ExamBeforeVo getAddressInfo(ExamBeforeQueryBo examBeforeQueryBo);
}
